using HtmlAgilityPack;
using System.Text;
using System.Threading.Tasks;

namespace newsletter.Reporters
{
    public class Dummy : Reporter
    {
        #pragma warning disable CS1998
        public override async Task<Report> Report(Configuration.Reporter config)
        {
            var sb = new StringBuilder();
            sb.AppendLine("dummy node for testing purposes.");
            if(config.Misc?.Any() == true)
                foreach (var miscConfig in config.Misc)
                {
                    sb.AppendLine($"{miscConfig.Key}: {miscConfig.Value}");
                }
            return new Report()
            {
                ReportContent = HtmlNode.CreateNode($"<div>{sb.ToString()}</div>"),
                TextSummary = "dummy text for testing purposes"
            };
        }
        #pragma warning restore CS1998
    }
}